View Issue Details

IDProjectCategoryView StatusLast Update
0022083mantisbtuipublic2018-08-13 02:33
ReporterNorrisAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0-rc.2 
Target VersionFixed in Version2.16.0 
Summary0022083: Local copy of Open Sans font does not include Latin-ext characters
Description

New UI uses local copy of Open Sans font, which does not include Latin-ext (and possibly also other available) characters. As a result the text in e.g. East-European languages is not rendered correctly (example can also be seen on this site in followinf text: abcčdďeéfghijklľmnoprřstťuvxyzž).

Steps To Reproduce

Just type any non standard latin character.

Tagsmodern-ui

Relationships

related to 0023978 closedatrol Fonts are not rendered correctly in Windows clients 

Activities

atrol

atrol

2016-12-27 11:35

developer   ~0054844

example can also be seen on this site in followinf text: abcčdďeéfghijklľmnoprřstťuvxyzž).

What's wrong with it?
How should it look like?

Norris

Norris

2016-12-27 12:19

reporter  

Norris

Norris

2016-12-27 18:08

reporter   ~0054848

If you look at the letters č, ď, ľ, ř, ť, ž you will notice that in 2.0.0.-rc2 they are rendered in different font than the rest of the text.
Interestingly, it seems that on your mantisbt.org BT Chrome renders it correctly, but not so IE 11 or Samsung mobile browser - please see attached picture how it is rendered on my system (IE 11, on Win8, 64-bit).

On my test installation, however, even Chrome renders the text incorrectly (cache has been cleared). I can provide the address of our BT via e-mail, if you need it.

atrol

atrol

2016-12-28 03:49

developer   ~0054851

Interestingly, it seems that on your mantisbt.org BT Chrome renders it correctly

We don't use the local copy of the font, but the one from CDN (Google).

Can you confirm that enabling CDN fixes the issue?
Add $g_cdn_enabled = ON; to your config_inc.php to check it.

Norris

Norris

2017-01-05 11:32

reporter   ~0054946

I can confirm that after changing $g_cdn_enabled = ON, our site behaves the same as yours - Chrome renders it correctly, but not IE11 and Samsung mobile.
However, after adding '&subset=latin-ext' to the address for getting the google css (in layout_api.php) all browsers I tried render correctly.

So, if I may summarize, it seems that there are two things required to handle this issue:

  1. In case $g_cdn_enabled is ON, the layout_head_css() function in layout_api.php should be modified to ask also for latin-ext subset of the font, so the line should be as follows:
    html_css_cdn_link( 'https://fonts.googleapis.com/css?family=Open+Sans:300,400&subset=latin-ext' );

I have tried this and it seems to work.

  1. In case $g_cdn_enabled is OFF, the fonts included in mantis installation (linked by open-sans.css) do not include the latin-ext subset and should be replaced with fonts that contain this (and maybe also other) subsets or alternatively subsets should be separately linked (although not all browsers will process this). I have also tried this solution and it seems to work as well.
atrol

atrol

2017-01-30 08:18

developer   ~0055393

There are some more users complaining, e.g. http://www.mantisbt.org/forums/viewtopic.php?f=3&t=24374&p=61252

@syncguru could you please have a look at that?

Mark41

Mark41

2017-02-02 04:55

reporter   ~0055443

Your hint with:

$g_cdn_enabled = ON;

... helped also to my equal problem. Thanks.

dzaggiel

dzaggiel

2017-12-12 05:54

reporter   ~0058378

@Mark41 but not working for IE or MS Edge.

atrol

atrol

2018-08-01 16:12

developer   ~0060345

Issues are fixed whit changes for 0023978.
The problem should no longer occur with $g_cdn_enabled = OFF; and also no longer when using IE.

Issue History

Date Modified Username Field Change
2016-12-27 10:49 Norris New Issue
2016-12-27 11:35 atrol Status new => feedback
2016-12-27 11:35 atrol Note Added: 0054844
2016-12-27 12:19 Norris File Added: MantisLatinExtProblem.png
2016-12-27 18:08 Norris Note Added: 0054848
2016-12-27 18:08 Norris Status feedback => new
2016-12-28 03:49 atrol Status new => feedback
2016-12-28 03:49 atrol Note Added: 0054851
2017-01-05 11:32 Norris Note Added: 0054946
2017-01-05 11:32 Norris Status feedback => new
2017-01-30 08:15 atrol Tag Attached: modern-ui
2017-01-30 08:18 atrol Note Added: 0055393
2017-02-02 04:55 Mark41 Note Added: 0055443
2017-12-12 05:54 dzaggiel Note Added: 0058378
2018-08-01 16:10 atrol Relationship added related to 0023978
2018-08-01 16:12 atrol Assigned To => atrol
2018-08-01 16:12 atrol Status new => resolved
2018-08-01 16:12 atrol Resolution open => fixed
2018-08-01 16:12 atrol Fixed in Version => 2.16.0
2018-08-01 16:12 atrol Note Added: 0060345
2018-08-13 02:33 atrol Status resolved => closed